### Method

# GLib Rand set_seed_array

since: 2.4

#### Declaration

    void
    g_rand_set_seed_array (
      GRand* rand_,
      const guint32* seed,
      guint seed_length
    )

#### Description

Initializes the random number generator by an array of longs. Array can be of arbitrary size, though only the first 624 values are taken. This function is useful if you have many low entropy seeds, or if you require more then 32 bits of actual entropy for your application.

Available since: 2.4

#### Parameters

`seed`

  Type: `const guint32*`

  Array to initialize with.

  The data is owned by the caller of the method.

`seed_length`

  Type: `guint`

  Length of array.